Test MCP Server Connection
curl --request POST \
--url https://api.portkey.ai/v1/mcp-servers/{mcpServerId}/test \
--header 'x-portkey-api-key: <api-key>'{
"success": true,
"status_code": 123,
"response_time_ms": 123,
"url": "<string>",
"server_name": "<string>",
"error": "<string>"
}Test MCP Server connection
Test connectivity to the MCP server via its integration URL.
POST
/
mcp-servers
/
{mcpServerId}
/
test
Test MCP Server Connection
curl --request POST \
--url https://api.portkey.ai/v1/mcp-servers/{mcpServerId}/test \
--header 'x-portkey-api-key: <api-key>'{
"success": true,
"status_code": 123,
"response_time_ms": 123,
"url": "<string>",
"server_name": "<string>",
"error": "<string>"
}Authorizations
Path Parameters
MCP Server ID (UUID) or slug
Last modified on June 3, 2026
Was this page helpful?
⌘I

